Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101

# ov_time_seek

declared in "vorbis/vorbisfile.h";

For seekable streams, this seeks to the given time. For implementing seeking in a player, this is the only function generally needed. This also updates everything needed within the decoder, so you can immediately call ov_read() and get data from the newly seeked to position. This function does not work for unseekable streams.

    int ov_time_seek(OggVorbis_File *vf, double s);

### Parameters

vf
  Pointer to our already opened and initialized OggVorbis_File structure.
pos
  Location to seek to within the file, specified in seconds.

### Return Values

> - 0 for success
> - nonzero indicates failure, described by several error codes:
>   - OV_ENOSEEK - Bitstream is not seekable.
>   - OV_EINVAL - Invalid argument value; possibly called with an OggVorbis_File structure that isn't open.
>   - OV_EREAD - A read from media returned an error.
>   - OV_EFAULT - Internal logic fault; indicates a bug or heap/stack corruption.
>   - OV_EBADLINK - Invalid stream section supplied to libvorbisfile, or the requested link is corrupt.

copyright © 2000-2010 Xiph.Org | Ogg Vorbis
Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101